#ifndef _ActiveCalibrationDefined
#define _ActiveCalibrationDefined

/*
 * WARNING: this means that 64-bit calib data and 32-bit calib data will be different sizes.
 * Linux has long has 64-bit, not 32-bit.
 * It isn't a problem because we compile everything native on Linux, unlike Windows.
 * */
#define SLONG long

typedef struct _CALIB_DATA
{
	// it would be better to use X,Y structs, but we need
	// to keep mathrout.cpp as it is (it is shared with
	// other projects)
	SLONG m_bBox[4];			// bbox is screen bounding rect in digitizer space, radix 0.
	SLONG m_rbBox;			// maximum radix of bbox values without overflow.
	SLONG m_mNorm[4][4];		// mNorm is normalization matrix.
	SLONG m_rNorm;			// rNorm is radix of mNorm.
	SLONG m_accy;			// accuracy limit for matrix-mul output, radix rNorm.
	SLONG m_Outrect[4];		// outrect is desired output rect, radix 0.
	SLONG m_rOutrect;
	//LONG m_PrevOut[2];

	SLONG m_wndrect[4];
	SLONG  m_wndrect_normalised[4];
	SLONG m_desktoprect[4];
	SLONG m_x,m_y;
} CALIB_DATA, *PCALIB_DATA;;

typedef struct _CALIB_DATA32
{
	// it would be better to use X,Y structs, but we need
	// to keep mathrout.cpp as it is (it is shared with
	// other projects)
	int m_bBox[4];			// bbox is screen bounding rect in digitizer space, radix 0.
	int m_rbBox;			// maximum radix of bbox values without overflow.
	int m_mNorm[4][4];		// mNorm is normalization matrix.
	int m_rNorm;			// rNorm is radix of mNorm.
	int m_accy;			// accuracy limit for matrix-mul output, radix rNorm.
	int m_Outrect[4];		// outrect is desired output rect, radix 0.
	int m_rOutrect;
	//LONG m_PrevOut[2];

	int m_wndrect[4];
	int m_wndrect_normalised[4];
	int m_desktoprect[4];
	int m_x,m_y;
} CALIB_DATA32, *PCALIB_DATA32;



#endif
