#ifndef _ACTIVIOCTLDefined
#define _ACTIVIOCTLDefined

#define PROMETHEAN_ACTIV_IOCTL	0xAF

/* include the common structures */

#include "decls.h"
#include "../activcalibration.h"

typedef struct _VERSION_STR
{
	char version[25];
} VERSION_STR;

#define ACTIV_SET_CALIBRATE_MODE		_IOW(PROMETHEAN_ACTIV_IOCTL,	1, CALIBRATION_MODE)
#define ACTIV_GET_LAST_XYZ				_IOR(PROMETHEAN_ACTIV_IOCTL,	2, LastXYZ)
#define ACTIV_SET_CALIBRATION_DATA 		_IOW(PROMETHEAN_ACTIV_IOCTL,	3, CALIB_DATA) /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_SET_TIMEOUT        		_IOW(PROMETHEAN_ACTIV_IOCTL,	4, int)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_FLUSH_QUEUE        		_IO(PROMETHEAN_ACTIV_IOCTL,	5)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_CANCEL_READ        		_IO(PROMETHEAN_ACTIV_IOCTL,	6)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_SET_XFER_MASK             _IOW(PROMETHEAN_ACTIV_IOCTL,	7, unsigned char)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_SET_PEN_DESTINATION		_IOW(PROMETHEAN_ACTIV_IOCTL,	8, unsigned short)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_GET_PEN_DESTINATION		_IOWR(PROMETHEAN_ACTIV_IOCTL,	9, unsigned short)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_SET_DOUBLE_CLICK_DISTANCE _IOW(PROMETHEAN_ACTIV_IOCTL,	10, unsigned short)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_GET_DRIVER_VERSION		_IOR(PROMETHEAN_ACTIV_IOCTL,	11, VERSION_STR)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_SET_DRIVER_DEBUG_MODE		_IOW(PROMETHEAN_ACTIV_IOCTL,	12, unsigned char)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_SET_DRIVER_DEBUG_LEVEL	_IOW(PROMETHEAN_ACTIV_IOCTL,	13, unsigned int)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_SET_TOUCH_DESTINATION		_IOW(PROMETHEAN_ACTIV_IOCTL,	14, unsigned char)     /* UPDATE NUM WHEN ADDING IOCTLs ! */
#define ACTIV_GET_TOUCH_DESTINATION		_IOR(PROMETHEAN_ACTIV_IOCTL,	15, unsigned char)     /* UPDATE NUM WHEN ADDING IOCTLs ! */

/*
 * UPDATE THIS WHEN ADDING IOCTLs !
 * */

#define PROMETHEAN_ACTIV_IOCTL_NUM 	15
#endif

